# Managed by Zoox Ansible role docker-host

# This will make the default Docker socket world read/write accessible
# to allow any user on the system Docker access.
# Note this is a security risk as Docker access is essential full root access.

start on started docker

task

script
  if [ -e /var/run/docker.sock ]; then
    chmod a+rw /var/run/docker.sock
    echo "$(date) -- Docker socket is now world readable."
  fi
end script
